#!/bin/bash

ARCH=`dpkg-architecture -q DEB_HOST_ARCH`

old_Binaries="openssh-client openssh-server openssh-sftp-server openssh-tests ssh ssh-askpass-gnome putty-tools python3-twisted"
update_Binaries="openssh-client openssh-server openssh-sftp-server openssh-tests ssh ssh-askpass-gnome putty-tools python3-twisted"
has_installed=""

[ $1 -a $1 = "showall" ] && echo $old_Binaries && exit 0

# check has been installed pkgs
IFS=' ' read -r -a PKGS <<< $old_Binaries
for pkg in "${PKGS[@]}"
do 
    dpkg-query -W $pkg >/dev/null 2>&1 && has_installed="$has_installed $pkg"
done

[ $1 -a $1 = "showinstall" ] && echo "$has_installed" && exit 0

if [ "$has_installed" ];then
    echo "Your system has installed $has_installed"
else
    echo "You no need to install any CVE security update package for expat"
    exit 0
fi

WORKDIR=`pwd`

# check pool dir exists
if [ ! -d "${WORKDIR}/pool" ];then
    echo "### can't find pool dir on ${WORKDIR}"
    exit 1
fi

# set authority
chmod -R 0755 $WORKDIR

# generate local sources.list
dpkg-scanpackages -a $ARCH pool > Packages

# add local sources.list
echo "deb [trusted=yes] file://${WORKDIR} ./" | sudo tee /etc/apt/sources.list.d/tmp-local-update.list

# update apt cache
sudo apt-get update 

# install update packages
sudo apt-get install -y $has_installed 

# remove local sources.list
sudo rm -v /etc/apt/sources.list.d/tmp-local-update.list
